diff -aruN --binary 10/components/com_search/views/search/tmpl/default_error.php 11/components/com_search/views/search/tmpl/default_error.php
--- 10/components/com_search/views/search/tmpl/default_error.php	2008-07-06 23:39:00.000000000 +0200
+++ 11/components/com_search/views/search/tmpl/default_error.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,9 +1,9 @@
 <?php defined('_JEXEC') or die('Restricted access'); ?>
 
-<table class="searchintro<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+<table class="searchintro<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 	<tr>
 		<td colspan="3" >
 			<?php echo $this->escape($this->error); ?>
 		</td>
 	</tr>
-</table>
\ No hay ningún carácter de nueva línea al final del fichero
+</table>
diff -aruN --binary 10/components/com_search/views/search/tmpl/default_form.php 11/components/com_search/views/search/tmpl/default_form.php
--- 10/components/com_search/views/search/tmpl/default_form.php	2008-11-11 01:30:12.000000000 +0100
+++ 11/components/com_search/views/search/tmpl/default_form.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,7 +1,7 @@
 <?php defined('_JEXEC') or die('Restricted access'); ?>
 
 <form id="searchForm" action="<?php echo JRoute::_( 'index.php?option=com_search' );?>" method="post" name="searchForm">
-	<table class="contentpaneopen<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<table class="contentpaneopen<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 		<tr>
 			<td nowrap="nowrap">
 				<label for="search_searchword">
@@ -42,7 +42,7 @@
 	<?php endif; ?>
 
 
-	<table class="searchintro<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<table class="searchintro<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 	<tr>
 		<td colspan="3" >
 			<br />
diff -aruN --binary 10/components/com_search/views/search/tmpl/default.php 11/components/com_search/views/search/tmpl/default.php
--- 10/components/com_search/views/search/tmpl/default.php	2008-07-06 23:39:00.000000000 +0200
+++ 11/components/com_search/views/search/tmpl/default.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,7 +1,7 @@
 <?php defined('_JEXEC') or die('Restricted access'); ?>
 
 <?php if ( $this->params->get( 'show_page_title', 1 ) ) : ?>
-<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 	<?php echo $this->params->get( 'page_title' ); ?>
 </div>
 <?php endif; ?>
diff -aruN --binary 10/components/com_search/views/search/tmpl/default_results.php 11/components/com_search/views/search/tmpl/default_results.php
--- 10/components/com_search/views/search/tmpl/default_results.php	2008-07-06 23:39:00.000000000 +0200
+++ 11/components/com_search/views/search/tmpl/default_results.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,13 +1,13 @@
 <?php defined('_JEXEC') or die('Restricted access'); ?>
 
-<table class="contentpaneopen<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+<table class="contentpaneopen<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 	<tr>
 		<td>
 		<?php
 		foreach( $this->results as $result ) : ?>
 			<fieldset>
 				<div>
-					<span class="small<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+					<span class="small<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 						<?php echo $this->pagination->limitstart + $result->count.'. ';?>
 					</span>
 					<?php if ( $result->href ) :
@@ -24,7 +24,7 @@
 						<?php endif;
 						if ( $result->section ) : ?>
 							<br />
-							<span class="small<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+							<span class="small<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 								(<?php echo $this->escape($result->section); ?>)
 							</span>
 						<?php endif; ?>
@@ -35,7 +35,7 @@
 				</div>
 				<?php
 					if ( $this->params->get( 'show_date' )) : ?>
-				<div class="small<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+				<div class="small<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 					<?php echo $result->created; ?>
 				</div>
 				<?php endif; ?>
@@ -50,4 +50,4 @@
 			</div>
 		</td>
 	</tr>
-</table>
\ No hay ningún carácter de nueva línea al final del fichero
+</table>
diff -aruN --binary 10/components/com_user/views/login/tmpl/default_login.php 11/components/com_user/views/login/tmpl/default_login.php
--- 10/components/com_user/views/login/tmpl/default_login.php	2008-09-09 16:19:40.000000000 +0200
+++ 11/components/com_user/views/login/tmpl/default_login.php	2009-06-02 23:51:34.000000000 +0200
@@ -12,11 +12,11 @@
 		JHTML::_('script', 'openid.js');
 endif; ?>
 <form action="<?php echo JRoute::_( 'index.php', true, $this->params->get('usesecure')); ?>" method="post" name="com-login" id="com-form-login">
-<table width="100%" border="0" align="center" cellpadding="4" cellspacing="0" class="contentpane<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+<table width="100%" border="0" align="center" cellpadding="4" cellspacing="0" class="contentpane<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 <tr>
 	<td colspan="2">
 		<?php if ( $this->params->get( 'show_login_title' ) ) : ?>
-		<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+		<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 			<?php echo $this->params->get( 'header_login' ); ?>
 		</div>
 		<?php endif; ?>
@@ -61,7 +61,7 @@
 	$usersConfig = &JComponentHelper::getParams( 'com_users' );
 	if ($usersConfig->get('allowUserRegistration')) : ?>
 	<li>
-		<a href="<?php echo JRoute::_( 'index.php?option=com_user&task=register' ); ?>">
+		<a href="<?php echo JRoute::_( 'index.php?option=com_user&view=register' ); ?>">
 			<?php echo JText::_('REGISTER'); ?></a>
 	</li>
 	<?php endif; ?>
@@ -71,4 +71,4 @@
 	<input type="hidden" name="task" value="login" />
 	<input type="hidden" name="return" value="<?php echo $this->return; ?>" />
 	<?php echo JHTML::_( 'form.token' ); ?>
-</form>
\ No hay ningún carácter de nueva línea al final del fichero
+</form>
diff -aruN --binary 10/components/com_user/views/login/tmpl/default_logout.php 11/components/com_user/views/login/tmpl/default_logout.php
--- 10/components/com_user/views/login/tmpl/default_logout.php	2008-09-09 16:19:40.000000000 +0200
+++ 11/components/com_user/views/login/tmpl/default_logout.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,19 +1,19 @@
 <?php defined('_JEXEC') or die('Restricted access'); ?>
 <?php /** @todo Should this be routed */ ?>
-<form action="index.php" method="post" name="login" id="login">
+<form action="<?php echo JRoute::_( 'index.php' ); ?>" method="post" name="login" id="login">
 <?php if ( $this->params->get( 'show_logout_title' ) ) : ?>
-<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
-	<?php echo $this->params->get( 'header_logout' ); ?>
+<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
+	<?php echo $this->escape($this->params->get( 'header_logout' )); ?>
 </div>
 <?php endif; ?>
-<table border="0" align="center" cellpadding="4" cellspacing="0" class="contentpane<?php echo $this->params->get( 'pageclass_sfx' ); ?>" width="100%">
+<table border="0" align="center" cellpadding="4" cellspacing="0" class="contentpane<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" width="100%">
 <tr>
 	<td valign="top">
 		<div>
 		<?php echo $this->image; ?>
 		<?php
 			if ($this->params->get('description_logout')) :
-				echo $this->params->get('description_logout_text');
+				echo $this->escape($this->params->get('description_logout_text'));
 			endif;
 		?>
 		</div>
@@ -33,4 +33,4 @@
 <input type="hidden" name="option" value="com_user" />
 <input type="hidden" name="task" value="logout" />
 <input type="hidden" name="return" value="<?php echo $this->return; ?>" />
-</form>
\ No hay ningún carácter de nueva línea al final del fichero
+</form>
diff -aruN --binary 10/components/com_user/views/register/tmpl/default_message.php 11/components/com_user/views/register/tmpl/default_message.php
--- 10/components/com_user/views/register/tmpl/default_message.php	2008-07-06 23:38:58.000000000 +0200
+++ 11/components/com_user/views/register/tmpl/default_message.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,9 +1,9 @@
 <?php // no direct access
 defined('_JEXEC') or die('Restricted access'); ?>
 <div class="componentheading">
-	<?php echo $this->message->title ; ?>
+	<?php echo $this->escape($this->message->title) ; ?>
 </div>
 
 <div class="message">
-	<?php echo  $this->message->text ; ?>
+	<?php echo $this->escape($this->message->text) ; ?>
 </div>
diff -aruN --binary 10/components/com_user/views/register/tmpl/default.php 11/components/com_user/views/register/tmpl/default.php
--- 10/components/com_user/views/register/tmpl/default.php	2009-03-28 01:43:48.000000000 +0100
+++ 11/components/com_user/views/register/tmpl/default.php	2009-06-02 23:51:36.000000000 +0200
@@ -17,7 +17,7 @@
 <form action="<?php echo JRoute::_( 'index.php?option=com_user' ); ?>" method="post" id="josForm" name="josForm" class="form-validate">
 
 <?php if ( $this->params->def( 'show_page_title', 1 ) ) : ?>
-<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>"><?php echo $this->escape($this->params->get('page_title')); ?></div>
+<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>"><?php echo $this->escape($this->params->get('page_title')); ?></div>
 <?php endif; ?>
 
 <table cellpadding="0" cellspacing="0" border="0" width="100%" class="contentpane">
@@ -28,7 +28,7 @@
 		</label>
 	</td>
   	<td>
-  		<input type="text" name="name" id="name" size="40" value="<?php echo $this->user->get( 'name' );?>" class="inputbox required" maxlength="50" /> *
+  		<input type="text" name="name" id="name" size="40" value="<?php echo $this->escape($this->user->get( 'name' ));?>" class="inputbox required" maxlength="50" /> *
   	</td>
 </tr>
 <tr>
@@ -38,7 +38,7 @@
 		</label>
 	</td>
 	<td>
-		<input type="text" id="username" name="username" size="40" value="<?php echo $this->user->get( 'username' );?>" class="inputbox required validate-username" maxlength="25" /> *
+		<input type="text" id="username" name="username" size="40" value="<?php echo $this->escape($this->user->get( 'username' ));?>" class="inputbox required validate-username" maxlength="25" /> *
 	</td>
 </tr>
 <tr>
@@ -48,7 +48,7 @@
 		</label>
 	</td>
 	<td>
-		<input type="text" id="email" name="email" size="40" value="<?php echo $this->user->get( 'email' );?>" class="inputbox required validate-email" maxlength="100" /> *
+		<input type="text" id="email" name="email" size="40" value="<?php echo $this->escape($this->user->get( 'email' ));?>" class="inputbox required validate-email" maxlength="100" /> *
 	</td>
 </tr>
 <tr>
diff -aruN --binary 10/components/com_user/views/remind/tmpl/default.php 11/components/com_user/views/remind/tmpl/default.php
--- 10/components/com_user/views/remind/tmpl/default.php	2009-03-28 01:43:48.000000000 +0100
+++ 11/components/com_user/views/remind/tmpl/default.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,7 +1,7 @@
 <?php defined('_JEXEC') or die; ?>
 
 <?php if ( $this->params->def( 'show_page_title', 1 ) ) : ?>
-	<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 		<?php echo $this->escape($this->params->get('page_title')); ?>
 	</div>
 <?php endif; ?>
diff -aruN --binary 10/components/com_user/views/reset/tmpl/confirm.php 11/components/com_user/views/reset/tmpl/confirm.php
--- 10/components/com_user/views/reset/tmpl/confirm.php	2009-03-28 01:43:48.000000000 +0100
+++ 11/components/com_user/views/reset/tmpl/confirm.php	2009-06-02 23:51:36.000000000 +0200
@@ -4,7 +4,7 @@
 	<?php echo JText::_('Confirm your Account'); ?>
 </div>
 
-<form action="<?php echo JRoute::_( 'index.php?option=com_user&amp;task=confirmreset' ); ?>" method="post" class="josForm form-validate">
+<form action="<?php echo JRoute::_( 'index.php?option=com_user&task=confirmreset' ); ?>" method="post" class="josForm form-validate">
 	<table cellpadding="0" cellspacing="0" border="0" width="100%" class="contentpane">
 		<tr>
 			<td colspan="2" height="40">
@@ -23,4 +23,4 @@
 
 	<button type="submit" class="validate"><?php echo JText::_('Submit'); ?></button>
 	<?php echo JHTML::_( 'form.token' ); ?>
-</form>
\ No hay ningún carácter de nueva línea al final del fichero
+</form>
diff -aruN --binary 10/components/com_user/views/reset/tmpl/default.php 11/components/com_user/views/reset/tmpl/default.php
--- 10/components/com_user/views/reset/tmpl/default.php	2009-03-28 01:43:48.000000000 +0100
+++ 11/components/com_user/views/reset/tmpl/default.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,7 +1,7 @@
 <?php defined('_JEXEC') or die; ?>
 
 <?php if ( $this->params->def( 'show_page_title', 1 ) ) : ?>
-	<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 		<?php echo $this->escape($this->params->get('page_title')); ?>
 	</div>
 <?php endif; ?>
diff -aruN --binary 10/components/com_user/views/user/tmpl/default.php 11/components/com_user/views/user/tmpl/default.php
--- 10/components/com_user/views/user/tmpl/default.php	2009-03-28 01:43:48.000000000 +0100
+++ 11/components/com_user/views/user/tmpl/default.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,7 +1,7 @@
 <?php // no direct access
 defined('_JEXEC') or die('Restricted access'); ?>
 <?php if ( $this->params->def( 'show_page_title', 1 ) ) : ?>
-	<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 		<?php echo $this->escape($this->params->get('page_title')); ?>
 	</div>
 <?php endif; ?>
@@ -9,7 +9,7 @@
 <table cellpadding="0" cellspacing="0" border="0" width="100%">
 <tr>
 	<td>
-		<?php echo nl2br($this->params->get('welcome_desc', JText::_( 'WELCOME_DESC' ))); ?>
+		<?php echo nl2br($this->escape($this->params->get('welcome_desc', JText::_( 'WELCOME_DESC' )))); ?>
 	</td>
 </tr>
 </table>
diff -aruN --binary 10/components/com_user/views/user/tmpl/form.php 11/components/com_user/views/user/tmpl/form.php
--- 10/components/com_user/views/user/tmpl/form.php	2009-03-28 01:43:48.000000000 +0100
+++ 11/components/com_user/views/user/tmpl/form.php	2009-06-02 23:51:36.000000000 +0200
@@ -11,7 +11,7 @@
 
 <form action="<?php echo JRoute::_( 'index.php' ); ?>" method="post" name="userform" autocomplete="off" class="form-validate">
 <?php if ( $this->params->def( 'show_page_title', 1 ) ) : ?>
-	<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 		<?php echo $this->escape($this->params->get('page_title')); ?>
 	</div>
 <?php endif; ?>
@@ -33,7 +33,7 @@
 		</label>
 	</td>
 	<td>
-		<input class="inputbox required" type="text" id="name" name="name" value="<?php echo $this->user->get('name');?>" size="40" />
+		<input class="inputbox required" type="text" id="name" name="name" value="<?php echo $this->escape($this->user->get('name'));?>" size="40" />
 	</td>
 </tr>
 <tr>
@@ -43,7 +43,7 @@
 		</label>
 	</td>
 	<td>
-		<input class="inputbox required validate-email" type="text" id="email" name="email" value="<?php echo $this->user->get('email');?>" size="40" />
+		<input class="inputbox required validate-email" type="text" id="email" name="email" value="<?php echo $this->escape($this->user->get('email'));?>" size="40" />
 	</td>
 </tr>
 <?php if($this->user->get('password')) : ?>
diff -aruN --binary 10/components/com_weblinks/views/categories/tmpl/default.php 11/components/com_weblinks/views/categories/tmpl/default.php
--- 10/components/com_weblinks/views/categories/tmpl/default.php	2008-07-06 23:39:06.000000000 +0200
+++ 11/components/com_weblinks/views/categories/tmpl/default.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,15 +1,15 @@
 <?php // no direct access
 defined('_JEXEC') or die('Restricted access'); ?>
 <?php if ( $this->params->def( 'show_page_title', 1 ) ) : ?>
-	<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 		<?php echo $this->escape($this->params->get('page_title')); ?>
 	</div>
 <?php endif; ?>
 
 <?php if ( ($this->params->def('image', -1) != -1) || $this->params->def('show_comp_description', 1) ) : ?>
-<table width="100%" cellpadding="4" cellspacing="0" border="0" align="center" class="contentpane<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+<table width="100%" cellpadding="4" cellspacing="0" border="0" align="center" class="contentpane<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 <tr>
-	<td valign="top" class="contentdescription<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<td valign="top" class="contentdescription<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 	<?php
 		if ( isset($this->image) ) :  echo $this->image; endif;
 		echo $this->params->get('comp_description');
@@ -21,7 +21,7 @@
 <ul>
 <?php foreach ( $this->categories as $category ) : ?>
 	<li>
-		<a href="<?php echo $category->link; ?>" class="category<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+		<a href="<?php echo $category->link; ?>" class="category<?php echo $this->escape($this->params->get( 'pageclass_sfx' )); ?>">
 			<?php echo $this->escape($category->title);?></a>
 		&nbsp;
 		<span class="small">
diff -aruN --binary 10/components/com_weblinks/views/category/tmpl/default_items.php 11/components/com_weblinks/views/category/tmpl/default_items.php
--- 10/components/com_weblinks/views/category/tmpl/default_items.php	2008-07-06 23:39:06.000000000 +0200
+++ 11/components/com_weblinks/views/category/tmpl/default_items.php	2009-06-02 23:51:36.000000000 +0200
@@ -21,15 +21,15 @@
 </tr>
 <?php if ( $this->params->def( 'show_headings', 1 ) ) : ?>
 <tr>
-	<td width="10" style="text-align:right;" class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<td width="10" style="text-align:right;" class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 		<?php echo JText::_('Num'); ?>
 	</td>
-	<td width="90%" height="20" class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<td width="90%" height="20" class="sectiontableheader<?php echo $this->escape($this->params->get( 'pageclass_sfx' )); ?>">
 		<?php echo JHTML::_('grid.sort',  'Web Link', 'title', $this->lists['order_Dir'], $this->lists['order'] ); ?>
 	</td>
 	<?php if ( $this->params->get( 'show_link_hits' ) ) : ?>
 
-	<td width="30" height="20" class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>" style="text-align:center;" nowrap="nowrap">
+	<td width="30" height="20" class="sectiontableheader<?php echo $this->escape($this->params->get( 'pageclass_sfx' )); ?>" style="text-align:center;" nowrap="nowrap">
 		<?php echo JHTML::_('grid.sort',  'Hits', 'hits', $this->lists['order_Dir'], $this->lists['order'] ); ?>
 	</td>
 	<?php endif; ?>
@@ -46,7 +46,7 @@
 		<?php endif; ?>
 		<?php echo $item->link; ?>
 		<?php if ( $this->params->get( 'show_link_description' ) ) : ?>
-		<br /><span class="description"><?php echo nl2br($item->description); ?></span>
+		<br /><span class="description"><?php echo nl2br($this->escape($item->description)); ?></span>
 		<?php endif; ?>
 	</td>
 	<?php if ( $this->params->get( 'show_link_hits' ) ) : ?>
@@ -57,7 +57,7 @@
 </tr>
 <?php endforeach; ?>
 <tr>
-	<td align="center" colspan="4" class="sectiontablefooter<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<td align="center" colspan="4" class="sectiontablefooter<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 	<?php echo $this->pagination->getPagesLinks(); ?>
 	</td>
 </tr>
@@ -69,4 +69,4 @@
 </table>
 <input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
 <input type="hidden" name="filter_order_Dir" value="" />
-</form>
\ No hay ningún carácter de nueva línea al final del fichero
+</form>
diff -aruN --binary 10/components/com_weblinks/views/category/tmpl/default.php 11/components/com_weblinks/views/category/tmpl/default.php
--- 10/components/com_weblinks/views/category/tmpl/default.php	2008-07-06 23:39:06.000000000 +0200
+++ 11/components/com_weblinks/views/category/tmpl/default.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,14 +1,14 @@
 <?php defined('_JEXEC') or die('Restricted access'); ?>
 <?php if ( $this->params->def( 'show_page_title', 1 ) ) : ?>
-	<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 		<?php echo $this->escape($this->params->get('page_title')); ?>
 	</div>
 <?php endif; ?>
 
-<table width="100%" cellpadding="4" cellspacing="0" border="0" align="center" class="contentpane<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+<table width="100%" cellpadding="4" cellspacing="0" border="0" align="center" class="contentpane<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 <?php if ( @$this->category->image || @$this->category->description ) : ?>
 <tr>
-	<td valign="top" class="contentdescription<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<td valign="top" class="contentdescription<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 	<?php
 		if ( isset($this->category->image) ) :  echo $this->category->image; endif;
 		echo $this->category->description;
@@ -27,7 +27,7 @@
 		<ul>
 		<?php foreach ( $this->categories as $category ) : ?>
 			<li>
-				<a href="<?php echo $category->link; ?>" class="category<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+				<a href="<?php echo $category->link; ?>" class="category<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 					<?php echo $this->escape($category->title);?></a>
 				&nbsp;
 				<span class="small">
diff -aruN --binary 10/components/com_weblinks/views/category/view.feed.php 11/components/com_weblinks/views/category/view.feed.php
--- 10/components/com_weblinks/views/category/view.feed.php	2008-07-06 23:39:06.000000000 +0200
+++ 11/components/com_weblinks/views/category/view.feed.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: view.feed.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: view.feed.php 11782 2009-04-24 17:25:58Z kdevine $
 * @package		Joomla
 * @subpackage	Weblinks
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -36,6 +36,10 @@
 		$document->link = JRoute::_('index.php?option=com_weblinks&view=category&id='.JRequest::getVar('id',null, '', 'int'));
 
 		JRequest::setVar('limit', $mainframe->getCfg('feed_limit'));
+		$siteEmail = $mainframe->getCfg('mailfrom');
+		$fromName = $mainframe->getCfg('fromname');
+		$document->editor = $fromName;
+		$document->editorEmail = $siteEmail;
 
 		// Get some data from the model
 		$items		=& $this->get( 'data' );
diff -aruN --binary 10/components/com_weblinks/views/category/view.html.php 11/components/com_weblinks/views/category/view.html.php
--- 10/components/com_weblinks/views/category/view.html.php	2008-09-09 16:19:40.000000000 +0200
+++ 11/components/com_weblinks/views/category/view.html.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: view.html.php 10752 2008-08-23 01:53:31Z eddieajau $
+* @version		$Id: view.html.php 11917 2009-05-29 19:37:05Z ian $
 * @package		Joomla
 * @subpackage	Weblinks
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -117,7 +117,7 @@
 
 			$link = JRoute::_( 'index.php?view=weblink&catid='.$category->slug.'&id='. $item->slug);
 
-			$menuclass = 'category'.$params->get( 'pageclass_sfx' );
+			$menuclass = 'category'.$this->escape($params->get( 'pageclass_sfx' ));
 
 			$itemParams = new JParameter($item->params);
 			switch ($itemParams->get('target', $params->get('target')))
diff -aruN --binary 10/components/com_weblinks/views/weblink/tmpl/form.php 11/components/com_weblinks/views/weblink/tmpl/form.php
--- 10/components/com_weblinks/views/weblink/tmpl/form.php	2008-07-06 23:39:06.000000000 +0200
+++ 11/components/com_weblinks/views/weblink/tmpl/form.php	2009-06-02 23:51:36.000000000 +0200
@@ -23,7 +23,7 @@
 
 <form action="<?php echo $this->action ?>" method="post" name="adminForm" id="adminForm">
 <?php if ( $this->params->def( 'show_page_title', 1 ) ) : ?>
-	<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 		<?php echo $this->escape($this->params->get('page_title')); ?>
 	</div>
 <?php endif; ?>
@@ -55,7 +55,7 @@
 		</label>
 	</td>
 	<td>
-		<input class="inputbox" type="text" id="jformurl" name="jform[url]" value="<?php echo $this->weblink->url; ?>" size="50" maxlength="250" />
+		<input class="inputbox" type="text" id="jformurl" name="jform[url]" value="<?php echo $this->escape($this->weblink->url); ?>" size="50" maxlength="250" />
 	</td>
 </tr>
 <tr>
diff -aruN --binary 10/components/com_wrapper/views/wrapper/tmpl/default.php 11/components/com_wrapper/views/wrapper/tmpl/default.php
--- 10/components/com_wrapper/views/wrapper/tmpl/default.php	2008-07-06 23:39:04.000000000 +0200
+++ 11/components/com_wrapper/views/wrapper/tmpl/default.php	2009-06-02 23:51:36.000000000 +0200
@@ -12,10 +12,10 @@
 	}
 }
 </script>
-<div class="contentpane<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+<div class="contentpane<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 <?php if ( $this->params->get( 'show_page_title', 1 ) ) : ?>
-	<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
-	<?php echo $this->params->get( 'page_title' ); ?>
+	<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
+	<?php echo $this->escape($this->params->get( 'page_title' )); ?>
 	</div>
 <?php endif; ?>
 <iframe <?php echo $this->wrapper->load; ?>
@@ -27,7 +27,7 @@
 	scrolling="<?php echo $this->params->get( 'scrolling' ); ?>"
 	align="top"
 	frameborder="0"
-	class="wrapper<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	class="wrapper<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 	<?php echo JText::_( 'NO_IFRAMES' ); ?>
 </iframe>
 </div>
diff -aruN --binary 10/CREDITS.php 11/CREDITS.php
--- 10/CREDITS.php	2009-03-28 01:43:38.000000000 +0100
+++ 11/CREDITS.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: CREDITS.php 11714 2009-03-27 10:27:44Z willebil $
+ * @version		$Id: CREDITS.php 11924 2009-05-30 08:11:59Z pasamio $
  * @package		Joomla
  * @copyright	Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
@@ -81,7 +81,7 @@
 Czech (cs-CZ) - Czech Translation Team - Svatopluk Vit
 Danish (da-DK) - Danish Translation Team - Ronny Buelund, Mikael Winther, Ole Bang Ottosen
 Dutch (nl-NL) - Dutch Translation Team - Vancanneyt Sander, Marijke Stuivenberg
-English (en-US) - Joomla! Project - Jennifer Marriot
+English (en-US) -  US English Translation Team - Jennifer Marriott
 Esperanto (eo-XX) - Esperanto Translation Team - Cindy McKee, Fabien Tschudy
 Estonian (et-EE) - Estonian Translation Team - Rivo Zängov
 Finnish (fi-FI) - Finnish Translation Team - Markku Suominen
@@ -94,7 +94,7 @@
 Hungarian (hu-HU) - Magyar Joomla! Felhasznalok Nemzetkozi Egyesulete - Jozsef Tamas Herczeg, Annamaria Ban
 Icelandic (is-IS) - Joomlis! Icelandic Joomla Community [joomlis.net] - Magnús Guðlaugsson
 Italian (it-IT) - Italian Translation Team - Stefania Gaianigo, Alessandro Rossi
-Japanese (ja-JP) - Japanese Translation Team - Noriaki Koide
+Japanese (ja-JP) - Japanese Translation Team - Noriaki Koide, Hiroko Hirano
 Laotian (lo-LA) - Joomla LaiLao Team (LaoOpenSource) - Akarawuth Tamrareang , Viengsakhone phanthanousy , Outhai Saioudom
 Latvian (lv-LV) - Joomla Latvian Team - Edgars Piruška, Iveta Rītiņa-Namiķe, Ingars Stepkāns
 Lithuanian (lt-LT) - Lithuanian Translation Team - Stasys Svabas
diff -aruN --binary 10/includes/framework.php 11/includes/framework.php
--- 10/includes/framework.php	2009-03-28 01:43:48.000000000 +0100
+++ 11/includes/framework.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: framework.php 11704 2009-03-25 21:15:56Z willebil $
+* @version		$Id: framework.php 11987 2009-06-03 01:08:57Z ian $
 * @package		Joomla
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
diff -aruN --binary 10/includes/router.php 11/includes/router.php
--- 10/includes/router.php	2009-03-28 01:43:48.000000000 +0100
+++ 11/includes/router.php	2009-06-02 23:51:36.000000000 +0200
@@ -244,10 +244,17 @@
 
 			if (file_exists($path) && count($segments))
 			{
-				if ($component != "com_search") { // Cheep fix on searches
+				if ($component != "com_search") { // Cheap fix on searches
 					//decode the route segments
 					$segments = $this->_decodeSegments($segments);
 				}
+				else { // fix up search for URL
+					$total = count($segments);
+					for($i=0; $i<$total; $i++) {
+						// urldecode twice because it is encoded twice
+						$segments[$i] = urldecode(urldecode(stripcslashes($segments[$i])));
+					}
+				}
 
 				require_once $path;
 				$function =  substr($component, 4).'ParseRoute';
diff -aruN --binary 10/libraries/joomla/database/table/content.php 11/libraries/joomla/database/table/content.php
--- 10/libraries/joomla/database/table/content.php	2009-01-10 03:58:08.000000000 +0100
+++ 11/libraries/joomla/database/table/content.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: content.php 11305 2008-11-23 19:14:25Z ian $
+* @version		$Id: content.php 11809 2009-05-13 16:09:23Z ian $
 * @package		Joomla.Framework
 * @subpackage	Table
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -60,10 +60,6 @@
 	/** @var time */
 	var $checked_out_time		= 0;
 	/** @var datetime */
-	var $frontpage_up		= null;
-	/** @var datetime */
-	var $frontpage_down		= null;
-	/** @var datetime */
 	var $publish_up			= null;
 	/** @var datetime */
 	var $publish_down		= null;
